# Tree View Duplicate Records

With this module you can duplicate records directly from the tree view.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

The duplicate option is disabled by default. To enable it you have to add attribute duplicate to the tree view. Set duplicate to true to enable it or false to (explicitly) disable it.

Example:

    <?xml version="1.0" encoding="UTF-8" ?>
    <odoo>
        <record id="view_users_tree" model="ir.ui.view">
            <field name="model">res.users</field>
            <field name="inherit_id" ref="base.view_users_tree"/>
            <field name="arch" type="xml">
                <xpath expr="//tree" position="attributes">
                    <attribute name="duplicate">true</attribute>
                </xpath>
            </field>
        </record>
    </odoo>

# Usage

To use this module, you need to:

1. Go to any tree view;
2. select some records;
3. open the sidebar menu and click ‘Duplicate’.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Onestein

## Contributors

- Dennis Sluijk <d.sluijk@onestein.nl>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.